/*
    Copyright 2008 Chris Evans
    cevans42ca at yahoo.ca

    This file is part of the SyncDocs project, available at:
    http://syncdocs.sourceforge.net/

    SyncDocs is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    SyncDocs is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with SyncDocs; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

package ca.quine.syncdocs;

public class FileEntry {

	private String fileName;
	private String appId;

	public static final String DONT_SYNC = "#0";
	public static final String SYNC_WITH_NEXT = "#1";

	public FileEntry(String fileName, String appId) {
		this.fileName = fileName;
		this.appId = appId;
	}

	public String getAppId() {
		return appId;
	}

	public void setAppId(String appId) {
		this.appId = appId;
	}

	public String getFileName() {
		return fileName;
	}

	public void setFileName(String fileName) {
		this.fileName = fileName;
	}

	public boolean validateAppId(String checkAppId) {
		if (appId.equals(DONT_SYNC)) {
			return false;
		}

		if (appId.equals(SYNC_WITH_NEXT)) {
			return true;
		}

		if (SyncDocs.isEmpty(checkAppId)) {
			return false;
		}

		return appId.equals(checkAppId);
	}

}
