/*
    Copyright 2008 Chris Evans
    cevans42ca at yahoo.ca

    This file is part of the SyncDocs project, available at:
    http://syncdocs.sourceforge.net/

    SyncDocs is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    SyncDocs is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with SyncDocs; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

package ca.quine.syncdocs;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.Iterator;
import java.util.List;
import java.util.Map;

public class ListHashMap extends HashMap {

	private static final long serialVersionUID = 4233120628553008650L;

	public ListHashMap() {
		super();
	}

	public ListHashMap(int arg0, float arg1) {
		super(arg0, arg1);
	}

	public ListHashMap(int arg0) {
		super(arg0);
	}

	public ListHashMap(Map arg0) {
		super(arg0);
	}

	public void putElement(Object key, Object value) {
		List list = (List) get(key);

		if (list == null) {
			list = new ArrayList();
			list.add(value);
			put(key, list);
		}
		else {
			list.add(value);
		}
	}

	public Iterator getIterator(Object key) {
		List list = (List) get(key);
		return list.iterator();
	}

	public int getListSize(Object key) {
		List list = (List) get(key);
		if (list == null) { return 0; }

		return list.size();
	}

}
