/*
    Copyright 2008 Chris Evans
    cevans42ca at yahoo.ca

    This file is part of the SyncDocs project, available at:
    http://syncdocs.sourceforge.net/

    SyncDocs is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    SyncDocs is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with SyncDocs; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

package ca.quine.syncdocs;

import java.net.InetAddress;

public class Preferences {

	private int port;
	private String bonjourName;
	private InetAddress bindAddress;
	private int checkVersionFreqInDays;
	private boolean bindAll;
	private boolean useUserDirForDownloads;
	private String zeroConfImplementation;

	public Preferences(int port, String bonjourName, InetAddress bindAddress,
			int checkVersionFreqInDays, boolean bindAll,
			boolean useUserDirForDownloads, String zeroConfImplementation)
	{
		this.port = port;
		this.bonjourName = bonjourName;
		this.bindAddress = bindAddress;
		this.checkVersionFreqInDays = checkVersionFreqInDays;
		this.bindAll = bindAll;
		this.useUserDirForDownloads = useUserDirForDownloads;
		this.zeroConfImplementation = zeroConfImplementation;
	}

	public String getBonjourName() {
		return bonjourName;
	}

	public void setBonjourName(String bonjourName) {
		this.bonjourName = bonjourName;
	}

	public int getPort() {
		return port;
	}

	public void setPort(int port) {
		this.port = port;
	}

	public InetAddress getBindAddress() {
		return bindAddress;
	}

	public void setBindAddress(InetAddress bindAddress) {
		this.bindAddress = bindAddress;
	}

	public int getCheckVersionFreqInDays() {
		return checkVersionFreqInDays;
	}

	public void setCheckVersionFreqInDays(int checkVersionFreqInDays) {
		this.checkVersionFreqInDays = checkVersionFreqInDays;
	}

	public boolean isBindAll() {
		return bindAll;
	}

	public void setBindAll(boolean bindAll) {
		this.bindAll = bindAll;
	}

	public boolean isUseUserDirForDownloads() {
		return useUserDirForDownloads;
	}

	public void setUseUserDirForDownloads(boolean useUserDirForDownloads) {
		this.useUserDirForDownloads = useUserDirForDownloads;
	}

	public String getZeroConfImplementation() {
		return zeroConfImplementation;
	}

	public void setZeroConfImplementation(String zeroConfImplementation) {
		this.zeroConfImplementation = zeroConfImplementation;
	}

}
