/*
    Copyright 2008 Chris Evans
    cevans42ca at yahoo.ca

    This file is part of the SyncDocs project, available at:
    http://syncdocs.sourceforge.net/

    SyncDocs is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    SyncDocs is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with SyncDocs; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

package ca.quine.syncdocs.distribution;

import java.io.BufferedWriter;
import java.io.File;
import java.io.FileWriter;
import java.io.IOException;

import org.apache.tools.ant.BuildException;
import org.apache.tools.ant.Task;

import ca.quine.syncdocs.SyncDocs;

public class GetVersion extends Task {

	private File directory;

	public void execute() throws BuildException {
		try {
			File destFile = new File(directory, "VERSION.txt");
			System.out.println("Writing version file to:  \"" + destFile.getAbsolutePath() + "\".");

			BufferedWriter bw = new BufferedWriter(new FileWriter(destFile));
			bw.write(SyncDocs.VERSION);
			bw.newLine();
			bw.close();
		}
		catch (IOException e) {
			e.printStackTrace();
			throw new BuildException("Unable to write troubleshooting launchers.", e);
		}
	}

	public void setDir(File directory) {
		this.directory = directory;
	}

}
