/*
    Copyright 2008 Chris Evans
    cevans42ca at yahoo.ca

    This file is part of the SyncDocs project, available at:
    http://syncdocs.sourceforge.net/

    SyncDocs is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    SyncDocs is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with SyncDocs; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

package ca.quine.syncdocs.distribution;

import java.io.BufferedWriter;
import java.io.File;
import java.io.FileWriter;
import java.io.IOException;

import org.apache.tools.ant.BuildException;
import org.apache.tools.ant.Task;

import ca.quine.syncdocs.SyncDocs;

public class MakeTroubleshootingLaunchers extends Task {

	private File directory;

	public void execute() throws BuildException {
		try {
			BufferedWriter bw;
			if (System.getProperty("os.name").contains("Windows")) {
				File troubleshootBat = new File(directory, "Troubleshoot.bat");
				bw = new BufferedWriter(new FileWriter(troubleshootBat));
				bw.write("java -version");
				bw.newLine();
				bw.write("java -jar SyncDocs-" + SyncDocs.VERSION + ".jar");
				bw.newLine();
				bw.close();
			}

			File troubleshootSh = new File(directory, "troubleshoot.sh");
			bw = new BufferedWriter(new FileWriter(troubleshootSh));
			bw.write("#!/bin/sh\n\n");
			bw.write("java -version");
			bw.newLine();
			bw.write("java -jar SyncDocs-" + SyncDocs.VERSION + ".jar\n");
			bw.close();
		}
		catch (IOException e) {
			throw new BuildException("Unable to write troubleshooting launchers.", e);
		}
	}

	public void setDir(File directory) {
		this.directory = directory;
	}

}
