/*
    Copyright 2008 Chris Evans
    cevans42ca at yahoo.ca

    This file is part of the SyncDocs project, available at:
    http://syncdocs.sourceforge.net/

    SyncDocs is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    SyncDocs is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with SyncDocs; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

package ca.quine.syncdocs.io.test;

import java.io.BufferedReader;
import java.io.FileInputStream;
import java.io.FileReader;
import java.io.IOException;

import ca.quine.syncdocs.io.HybridBufferedStreamReader;

import junit.framework.TestCase;

public class HybridBufferedStreamReaderTest extends TestCase {

	public void testReadLine() throws IOException {
		BufferedReader br = new BufferedReader(
				new FileReader("./src/ca/quine/syncdocs/DropPanel.java"));

		HybridBufferedStreamReader hybrid = new HybridBufferedStreamReader(
				new FileInputStream("./src/ca/quine/syncdocs/DropPanel.java"));

		String line1, line2;
		while (true) {
			line1 = br.readLine();
			line2 = hybrid.readLine();

			if (line1 == null && line2 == null) {
				break;
			}

			if (line1 == null && line2 != null) {
				assertFalse("File 1 ended before File 2", true);
			}

			if (line1 != null && line2 == null) {
				assertFalse("One file ended sooner than the other.", true);
			}

			if (!line1.equals(line2)) {
				assertFalse("Files don't match.", true);
			}
		}

		br.close();
		hybrid.close();
	}

}
